Get Employee

Returns employee data for the specified employee ID. Specify which fields to return using the fields query parameter (comma-separated list of field names). See the List Fields endpoint (operationId: list-fields, GET /api/v1/meta/fields) for available field names. Field Id's as well as custom field aliases can be used in the fields parameter. Custom field aliases can be found in the alias property returned by the List Fields endpoint. This endpoint is suitable for retrieving basic employee information, including current values from historical tables such as job title or compensation. By default only current values are returned; set onlyCurrent to false to include future-dated values from historical table fields.

Usage note: The maximum number of fields per request is 400.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The employee ID. The special employee ID of zero (0) means to use the employee ID associated with the API key (if any).

Query Params
string
Defaults to firstName,lastName

Comma-separated list of field names to include in the response. See the List Fields endpoint for valid field names.

boolean
Defaults to true

Setting to false will return future-dated values from history table fields. Defaults to true.

Headers
string
enum

This endpoint can produce either JSON or XML.

Allowed:
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

The request exceeded the maximum number of allowed fields (400).

403

The API user does not have permission to see the requested employee.

404

The employee does not exist.

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json